import { InputHandler } from '../../../utils/input-handler';
import { CheckboxElement } from './element-checkbox';
export declare class BceElementCheckbox {
    private el;
    disabled?: boolean;
    handler: InputHandler;
    language?: string;
    shuffle?: boolean;
    template: CheckboxElement;
    value?: {
        index: number;
        text: string;
    }[];
    private options;
    private handleOption;
    private handleInput;
    generateOptions(): void;
    validate(silent?: boolean): Promise<import("@bcase/core").ValidatorError[]>;
    componentWillLoad(): void;
    private renderOther;
    private renderOption;
    render(): any;
}
